import { web3Enable } from '@polkadot/extension-dapp';
import { PolkadotSigner } from '@polymathnetwork/signing-manager-types';
export declare type UnsubCallback = () => void;
export interface NetworkInfo {
    name: string;
    label: string;
    wssUrl: string;
}
export declare type Extension = Awaited<ReturnType<typeof web3Enable>>[number] & {
    network: {
        subscribe(cb: (networkInfo: NetworkInfo) => void): UnsubCallback;
        get(): Promise<NetworkInfo>;
    };
    signer: PolkadotSigner;
};
